import java.util.*;

public class Stack<T> {

	private final Object[] elements;
	private int top = -1;
	
	public Stack(int capacity) {
		elements = new Object[capacity];
	}

	public void push(T element) {
		elements[++top] = element;
	}

	public T pop() {
		return (T) elements[top--];
	}

	public boolean isEmpty() {
		return top == -1;
	}
	
	public boolean isFull() {
		return top == elements.length - 1;
	}
	
	@Override
	public String toString() {
		return Arrays.toString(elements);
	}

}